<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'report_security', language 'tg', version '2.7'.
 *
 * @package     report_security
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['check_configrw_details'] = '<p> Тавсия дода мешавад, ки иҷозатдиҳиҳо барои файли config.php баъди ҷойгир кардан чунон тағйир дода шаванд, ки файлро веб-сервер тағйир дода натавонад. Илтимос, ба назар гиред, ки ин чора бехатарии серверро на он қадар баланд мекунад, аммо метавонад таъсирпазириҳои умумиро паст кунад ё маҳдуд намояд.</p>';
$string['check_configrw_name'] = 'Файли config.php барои сабт дастрас аст';
$string['check_configrw_ok'] = 'config.php-ро скриптҳои PHP тағйир дода наметавонанд.';
$string['check_configrw_warning'] = 'Скриптҳои PHP метавонанд config.php-ро тағйир диҳанд.';
$string['check_cookiesecure_details'] = '<p> Агар Шумо пайвастшавӣ аз рӯи протоколи https -ро иҷозат диҳед , тавсия дода мешавад, ки secure cookies-ро низ иҷозат диҳед. Шумо бояд ҳамчунин доимо аз http ба https равона карданро илова намоед. </p>';
$string['check_cookiesecure_error'] = 'Илтимос, secure cookies-ро иҷозат диҳед';
$string['check_cookiesecure_name'] = 'Secure cookies';
$string['check_cookiesecure_ok'] = 'Secure cookies ба кор андохта шудаанд';
$string['check_defaultuserrole_details'] = '<p> Ҳамаи истифодабарандагоне ки ба система даромадаанд, аз рӯи хомӯшӣ ҳуқуқи нақшро ба даст меоваранд. Илтимос, боварӣ ҳосил намоед, ки барои ин нақш ҳеҷ гуна ҳуқуқи хатарнок иҷозат дода нашудаанд. </p> <p> Ягона навъи кӯҳнашудаи дастгиришаванда барои нақш аз рӯи хомӯшӣ - <em>Истифодабарандаи аутентификатсияшуда</em> аст. Имконияти дида баромадани курс набояд ба кор андохта шуда бошад. </p>';
$string['check_defaultuserrole_error'] = 'Нақши истифодабаранда аз рӯи хомӯшӣ "{$a}" нодуруст дода шудааст!';
$string['check_defaultuserrole_name'] = 'Нақш аз рӯи хомӯшӣ барои ҳамаи истифодабарандагон';
$string['check_defaultuserrole_notset'] = 'Нақш аз рӯи хомӯшӣ супориш дода нашудааст';
$string['check_defaultuserrole_ok'] = 'Нақш аз рӯи хомӯшӣ барои ҳамаи истифодабарандагон дуруст дода шудааст';
$string['check_displayerrors_details'] = '<p>Ба кор андохтани танзими PHP <code> display_errors</code> (инъикос кунондани хатоҳо) дар сомонаҳои корӣ тавсия дода намешавад, зеро мактубчаҳо оиди хатоҳо метавонанд иттилооти махфиро оиди сервери Шумо ошкор намоянд. </p>';
$string['check_displayerrors_error'] = 'Tанзими PHP барои инъикоси хатоҳо ба кор андохта шудааст. Тавсия дода мешавад, ки он хомӯш карда шавад.';
$string['check_displayerrors_name'] = 'Хатоҳои PHP инъикос карда шаванд';
$string['check_displayerrors_ok'] = 'Инъикос кардани хатоҳои PHP хомӯш карда шудааст.';
$string['check_emailchangeconfirmation_details'] = '<p> Тавсия дода мешавад, ки  ҳангоми аз ҷониби истифодабарандагон тағйир ёфтани адреси почтаи электронӣ дар профили худ, қадами тасдиқи почтаи электронӣ талаб карда шавад. Агар параметр хомӯш карда шуда бошад, спамерҳо метавонанд кӯшиш кунанд, ки серверро барои фиристодани спам истифода баранд. </p> <p>Майдони почтаи электронӣ метавонад ҳамчунин дар плагини аутентификатсия масдуд карда шуда бошад, ин имконият дар ин ҷо дида баромада намешавад. </p>';
$string['check_emailchangeconfirmation_error'] = 'Истифодабарандагон метавонанд дилхоҳ адреси почтаи электрониро ворид намоянд.';
$string['check_emailchangeconfirmation_info'] = 'Истифодабарандагон метавонанд адреси почтаи электрониро фақат аз доменҳои иҷозатдодашуда ворид намоянд.';
$string['check_emailchangeconfirmation_name'] = 'Тасдиқи дигаргункунии почтаи электронӣ';
$string['check_emailchangeconfirmation_ok'] = 'Тасдиқи дигаргункунии адреси почтаи электронӣ дар профили истифодабаранда.';
$string['check_embed_details'] = '<p>Ба таври номаҳдуд ҷойгир кардани объектҳо хеле хатарнок аст - ҳар як истифодабарандаи бақайдгирифташуда метавонад бар зидди дигар истифодабарандагони сервер XSS-ҳуҷум намояд. Ин танзим бояд дар серверҳои корӣ хомӯш карда шуда бошад. </p>';
$string['check_embed_error'] = 'Ба таври номаҳдуд ҷойгир кардани объектҳо иҷозат дода шудааст - ин барои бисёрии серверҳо хеле хатарнок аст.';
$string['check_embed_name'] = 'Тегҳои EMBED ва OBJECT иҷозат дода шаванд';
$string['check_embed_ok'] = 'Ба таври номаҳдуд ҷойгир кардани объектҳо  иҷозат дода нашудааст.';
$string['check_frontpagerole_details'] = '<p> Ҳамаи истифодабарандагони ба система воридшуда дар ҳамаи унсурҳои саҳифаи асосӣ  ҳуқуқи нақшро барои саҳифаи асосӣ ба даст меоваранд. Илтимос, боварӣ ҳосил намоед, ки барои ин нақш ҳеҷ гуна ҳуқуқи хатарнок иҷозат дода нашудаанд. </p> <p> Тавсия дода мешавад, ки барои ин мақсад нақши махсус бунёд карда шавад, ва навъҳои кӯҳнашудаи нақшҳо истифода нашаванд. </p>';
$string['check_frontpagerole_error'] = 'Нақши нодуруст додашудаи саҳифаи асосӣ ошкор шуд - "{$a}"!';
$string['check_frontpagerole_name'] = 'Нақш барои саҳифаи асосӣ';
$string['check_frontpagerole_notset'] = 'Нақш барои саҳифаи асосӣ супориш дода нашудааст';
$string['check_frontpagerole_ok'] = 'Нақш барои саҳифаи асосӣ дуруст дода шудааст';
$string['check_google_details'] = '<p>Ҷойгир кардани «Барои Google кушода шавад» ба мошинаҳои ҷустуҷӯӣ имкон медиҳад, ки ба курсҳо бо дастрасии меҳмонона ворид шаванд. Агар воридшавии меҳмон иҷозат дода нашуда бошад, ин танзим маъное надорад.</p>';
$string['check_google_error'] = 'Дастрасии мошинаи ҷустуҷӯӣ  иҷозат дода шудааст, аммо дастрасии меҳмон - манъ карда шудааст.';
$string['check_google_info'] = 'Мошинаҳои ҷустуҷӯӣ ҳамчун меҳмонҳо ворид шуда метавонанд.';
$string['check_google_name'] = 'Барои Google кушода шавад';
$string['check_google_ok'] = 'Дастрасии мошинаи ҷустуҷӯӣ иҷозат дода нашудааст.';
$string['check_guestrole_details'] = '<p> Нақши меҳмон барои он меҳмонони сомона истифода мешавад, ки ба системаи истифодабарандагон ва дастрасии муваққатӣ ба курсҳо ворид нашудаанд. Илтимос, боварӣ ҳосил намоед, ки барои ин нақш ҳеҷ гуна ҳуқуқи хатарнок  иҷозат дода нашудаанд. </p> <p> Ягона нақши кӯҳнашуда барои меҳмон - <em>Меҳмон</em>. </p>';
$string['check_guestrole_error'] = 'Нақши меҳмон нодуруст муайян карда шудааст - "{$a}"!';
$string['check_guestrole_name'] = 'Нақши меҳмон';
$string['check_guestrole_notset'] = 'Нақши меҳмон муқаррар карда нашудааст';
$string['check_guestrole_ok'] = 'Нақши меҳмон дуруст муқаррар карда шудааст.';
$string['check_mediafilterswf_details'] = '<p> Ҷойгиркунии автоматии swf-файлҳо хеле хатарнок аст - ҳар истифодабарандаи бақайдгирифташуда бар зидди дигар истифодабарандагони сервер XSS-ҳуҷумро истифода бурда метавонад. Илтимос, инро дар серверҳои корӣ хомӯш кунед. </p>';
$string['check_mediafilterswf_error'] = 'Филтри Flash ба кор андохта шудааст - ин барои бисёрии серверҳо хеле хатарнок аст.';
$string['check_mediafilterswf_name'] = 'Медиа-филтр .swf (Flash) ба кор андохта шудааст';
$string['check_mediafilterswf_ok'] = 'Медиа-филтр .swf (Flash) хомӯш карда шудааст.';
$string['check_noauth_details'] = '<p>Усули <em>Аутентификатсия истифода нашавад</em> барои сомонаҳои корӣ муқаррар нашудааст. Илтимос, агар ин сомонаи тестӣ набошад, хомӯш кунед.</p>';
$string['check_noauth_error'] = 'Усули <em>Аутентификатсия истифода нашавад</em>-ро дар сомонаҳои корӣ истифода бурдан мумкин нест.';
$string['check_noauth_name'] = 'Аутентификатсия истифода нашавад';
$string['check_noauth_ok'] = 'Усули <em>Аутентификатсия истифода нашавад</em> хомӯш карда шудааст.';
$string['check_openprofiles_details'] = '<p> Профилҳои кушодашудаи истифодабарандагонро спамерҳо суиистифода карда метавонанд. Тавсия дода мешавад, ки параметр ё <code> ба кор андохта шуда бошад. Ба система барои дида баромадани профилҳо</code>, ё <code> ворид шудан лозим аст. Истифодабарандагон маҷбур карда шаванд, ки ба система</code>. </p> ворид шаванд';
$string['check_openprofiles_error'] = 'Ҳар каси мехостагӣ метавонад ба система надаромада, профилҳои истифодабарандагонро дида барояд.';
$string['check_openprofiles_name'] = 'Профилҳои кушодаи истифодабарандагон';
$string['check_openprofiles_ok'] = 'Пеш аз дида баромадани профилҳои истифодабарандагон воридшавӣ ба система лозим аст.';
$string['check_passwordpolicy_details'] = '<p>Тавсия дода мешавад, ки сиёсати калимаҳои раҳкушо муқаррар карда шавад, зеро кофта ёфтани калимаи раҳкушо - аксаран роҳи осонтарини ба даст овардани дастрасии беиҷозат аст. Талаботро беҳад сахт накунед, чунки ин боиси он шуда метавонад, ки истифодабарандагон калимаҳои раҳкушои худро дар ёд нигоҳ дошта наметавонанд ва онҳоро фаромӯш мекунанд ё менависанд. </p>';
$string['check_passwordpolicy_error'] = 'Сиёсати калимаҳои раҳкушо супориш дода нашудааст';
$string['check_passwordpolicy_name'] = 'Сиёсати калимаҳои раҳкушо';
$string['check_passwordpolicy_ok'] = 'Сиёсати калимаҳои раҳкушо ба кор андохта шудааст.';
$string['check_riskadmin_detailsok'] = '<p> Илтимос, рӯйхати зерини администраторҳои системаро тасдиқ намоед: </p> {$a}';
$string['check_riskadmin_detailswarning'] = '<p> Илтимос, рӯйхати зерини администраторҳои системаро тасдиқ намоед: </p> {$a->admins}.<p>Таъйин кардани нақши администратор танҳо дар контексти система тавсия дода мешавад. Ба истифодабарандагони зерин беасос нақшҳои администратор дар дигар контекстҳо таъйин карда шудааст: </p> {$a->unsupported}';
$string['check_riskadmin_name'] = 'Администраторҳо';
$string['check_riskadmin_ok'] = 'Администраторҳои сервер ёфт шудаанд - {$a}';
$string['check_riskadmin_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) дида баромадани таъйинкунии нақш</a>';
$string['check_riskadmin_warning'] = 'Администраторҳои сервер - {$a->admincount} ва таъйинкуниҳои беасоси нақши администратор ёфт шудаанд - {$a->unsupcount}.';
$string['check_riskbackup_details_overriddenroles'] = '<p> Ин азнавтаъйинкуниҳои фаъолона ба истифодабарандагон имкон медиҳанд, ки маълумотҳои истифодабарандагонро ба нусхаҳои эҳтиётӣ ҳамроҳ кунанд. Боварӣ ҳосил намоед, ки ин ҳуқуқ даркор аст. </p> {$a}';
$string['check_riskbackup_details_systemroles'] = '<p> Нақшҳои зерини система ҳозир ба истифодабарандагон имкон медиҳанд, ки маълумотҳои истифодабарандагонро ба нусхаҳои эҳтиётӣ ҳамроҳ кунанд. Боварӣ ҳосил намоед, ки ин ҳуқуқ даркор аст. </p> {$a}';
$string['check_riskbackup_details_users'] = '<p> Истифодабарандагони зерин (аз боиси нақшҳои дар боло таъйншуда ё  азнавтаъйинкунии маҳаллӣ) ҳозир иҷозат доранд нусхаҳои эҳтиётие кунанд, ки маълумотҳои шахсии дилхоҳ истифодабарандагони дар курсашон номнависишударо дар бар мегиранд. Боварӣ ҳосил намоед, ки: а) Шумо аз онҳо дилпур ҳастед ва б) сабтҳои баҳисобгирии онҳо бо калимаҳои раҳкушои боварибахш ҳимоя карда шудаанд: </p> {$a}';
$string['check_riskbackup_detailsok'] = 'Нақшҳо бо иҷозати ошкоро ба нусхабардории эҳтиётии маълумотҳои истифодабарандагон нестанд. Аммо, зикр намоед, ки администраторҳо бо ҳуқуқи "moodle/site:doanything", шояд, ин корро карда метавонанд.';
$string['check_riskbackup_editoverride'] = '<a href="{$a->url}">{$a->name} дар контексти "{$a->contextname}"</a>';
$string['check_riskbackup_editrole'] = '<a href="{$a->url}">{$a->name}</a>';
$string['check_riskbackup_name'] = 'Нусхабардории эҳтиётии маълумотҳои истифодабаранда';
$string['check_riskbackup_ok'] = 'Нақшҳо бо иҷозати ошкоро ба нусхабардории эҳтиётии маълумотҳои истифодабарандагон нестанд';
$string['check_riskbackup_unassign'] = '<a href="{$a->url}">{$a->fullname} ({$a->email}) дар контексти "{$a->contextname}"</a>';
$string['check_riskbackup_warning'] = 'Нақшҳо ёфт шудаанд - {$a->rolecount}, азнавмуайянкуниҳо - {$a->overridecount} ва истифодабарандагон - {$a->usercount} бо ҳуқуқи нухсабардории маълумотҳои истифодабарандагон.';
$string['check_riskxss_details'] = '<p> RISK_XSS ҳамаи имкониятҳои хатарнокро ифода мекунад, ки фақат истифодабарандагони боваринок ба кор бурда метавонанд. </p> <p> Илтимос, рӯйхати зерини истифодабарандагонро тасдиқ намоед ва боварӣ ҳосил намоед, ки Шумо дар ин сервер аз онҳо комилан дилпур ҳастед: </p><p>{$a}</p>';
$string['check_riskxss_name'] = 'Истифодабарандагони бовариноки XSS';
$string['check_riskxss_warning'] = 'RISK_XSS - истифодабарандагони боваринок ёфт шудаанд - {$a}.';
$string['check_unsecuredataroot_details'] = '<p>феҳристи dataroot набояд аз шабака дастрас бошад. Тарзи беҳтарини дилпурона дастнорас кардани феҳрист - берун аз веб-феҳрист истифода бурдани феҳрист  аст. </p> <p>Ҳангоми интиқоли феҳрист Шумо бояд танзими <code>$CFG->dataroot</code>-ро дар файли <code>config.php</code>. </p>  ба таври даркорӣ тағйир диҳед';
$string['check_unsecuredataroot_error'] = 'Феҳристи Шумо dataroot<code>{$a}</code> нодуруст ҷойгир карда шудааст ва аз шабака дастрас аст!';
$string['check_unsecuredataroot_name'] = 'Феҳристи хатарноки dataroot';
$string['check_unsecuredataroot_ok'] = 'Феҳристи dataroot набояд аз шабака дастрас бошад.';
$string['check_unsecuredataroot_warning'] = 'Феҳристи Шумо dataroot<code>{$a}</code> нодуруст ҷойгир карда шудааст ва, шояд, аз шабака дастрас бошад!';
$string['configuration'] = 'Тарҳ (конфигурация)';
$string['description'] = 'Тавсиф';
$string['details'] = 'Тафсилот';
$string['issue'] = 'Мушкилии имконпазир';
$string['pluginname'] = 'Маълумотҳо оиди бехатарӣ';
$string['security:view'] = 'Дида баромадани ҳисобот оиди бехатарӣ';
$string['status'] = 'Ҳолат';
$string['statuscritical'] = 'Бӯҳронӣ';
$string['statusinfo'] = 'Иттилоот';
$string['statusok'] = 'OK';
$string['statusserious'] = 'Ҷиддӣ';
$string['statuswarning'] = 'Огоҳӣ';
$string['timewarning'] = 'Коркарди маълумотҳо вақти бисёрро гирифта метавонад, илтимос, пурсабр бошед...';
