<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'attendance', language 'tg', version '2.7'.
 *
 * @package     attendance
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['Aacronym'] = 'А';
$string['Afull'] = 'Ҳузур надорад';
$string['Eacronym'] = 'Е';
$string['Efull'] = 'Босабаб';
$string['Lacronym'] = 'Д';
$string['Lfull'] = 'Дер кардан';
$string['Pacronym'] = 'И';
$string['Pfull'] = 'Ҳузур дорад';
$string['acronym'] = 'Калимаҳо';
$string['add'] = 'Илова карда шавад';
$string['addsession'] = 'Сессия илова карда шавад';
$string['all'] = 'Ҳама';
$string['allcourses'] = 'Ҳама  курсҳо';
$string['allpast'] = 'Ҳама гузашта';
$string['attendance:addinstance'] = 'Журнали нави давомотро илова кардан';
$string['attendance:canbelisted'] = 'Дар рӯйхат нишон медиҳад';
$string['attendance:changeattendances'] = 'Тағийроти Давомот';
$string['attendance:changepreferences'] = 'Танзимҳоро тағийрот додан';
$string['attendance:export'] = 'Ҳисоботҳо содир карда шаванд';
$string['attendance:manageattendances'] = 'Идоракунии Давомот';
$string['attendance:takeattendances'] = 'Иштирок намудан ба дарсҳо';
$string['attendance:view'] = 'Баррасии давомот';
$string['attendance:viewreports'] = 'Баррасии ҳисобот';
$string['attendance_already_submitted'] = 'Шумо наметавонед иштирокро ба қайд гиред, ки  зеро аллакай қайд гузошта шудааст.';
$string['attendancedata'] = 'Маълумотҳои давомот';
$string['attendanceforthecourse'] = 'Давомоти курс';
$string['attendancegrade'] = 'Баҳои давомот';
$string['attendancenotset'] = 'Шумо бояд давомоти худро танзим намоед';
$string['attendancenotstarted'] = 'Дар ин курс журнали давомот оғоз нагардидааст';
$string['attendancepercent'] = 'Давомот бо фоиз';
$string['attendancereport'] = 'Ҳисоботи давомот';
$string['attendancesuccess'] = 'Давомнокӣ бомуваффақият анҷом ёфт';
$string['attendanceupdated'] = 'Давомнокӣ бомуваффақият навзсозӣ карда шуд';
$string['attforblockdirstillexists'] = 'модулҳои кӯҳна / феҳристи кӯҳна ҳанӯз мавҷуданд - шумо бояд пеш аз ин корбариро пешгирӣ кунед, ин феҳристро дар сервератон нест кунед.';
$string['attrecords'] = 'Қайдҳои давомот';
$string['calclose'] = 'Пӯшида шавад';
$string['calmonths'] = 'Январ,Феврал,Март,Апрел,Май,Июн,Июл,Август,Сентябр,Октябр,Ноябр,Декабр';
$string['calshow'] = 'Санаро интихоб  намоед';
$string['caltoday'] = 'Имрӯз';
$string['calweekdays'] = 'Як,Дш,Сш,Чш,Пш,Ҷм,Шб';
$string['cannottakeforgroup'] = 'Шумо наметавонед дар гурӯҳи {{a}} иштирок кунед.';
$string['changeattendance'] = 'Давомот тағйир дода шавад';
$string['changeduration'] = 'Давомноки  тағйир дода шавад';
$string['changesession'] = 'Сессия тағйир дода шавад';
$string['column'] = 'сутун';
$string['columns'] = 'сутунҳо';
$string['copyfrom'] = 'Нусхабардории формаи маълумоти давомот';
$string['countofselected'] = 'Шумораи интихобшуда';
$string['createmultiplesessions'] = 'Якчанд сессияҳои тартиб дода шавад';
$string['createonesession'] = 'Тартиб додани як сессия барои курс';
$string['defaultdisplaymode'] = 'Реҷаи намоиш ба таври пешфарз';
$string['defaults'] = 'пешфарз';
$string['delete'] = 'Нест карда шавад';
$string['deletelogs'] = 'Маълумотҳои';
$string['deleteselected'] = 'Интихобшуда нест карда шавад';
$string['deletesession'] = 'Сессия нест карда шавад';
$string['deletesessions'] = 'Ҳама сессияҳо нест карда шаванд';
$string['deletingsession'] = 'Сессияҳои курс нест мешаванд';
$string['deletingstatus'] = 'Ҳолатҳои курс нест мешаванд';
$string['description'] = 'Тавсиф';
$string['display'] = 'Намоиш';
$string['displaymode'] = 'Реҷаи намоиш';
$string['donotusepaging'] = 'Саҳифабанди истифода нашавад';
$string['downloadexcel'] = 'Бо формати Excel гирифта шавад';
$string['downloadooo'] = 'Бо формати OpenOffice гирифта шавад';
$string['downloadtext'] = 'Бо формати матни гирифта шавад';
$string['duration'] = 'Давомнокӣ';
$string['editsession'] = 'Сессия таҳрир карда шавад';
$string['endofperiod'] = 'Охири давра';
$string['endtime'] = 'Вақти анҷоми сессия';
$string['enrolmentend'] = 'Бақайдгири корбар анҷом меёбад  {{a}}';
$string['enrolmentstart'] = 'Бақайдгири корбар оғоз меёбад  {{a}}';
$string['enrolmentsuspended'] = 'Бақайдгирӣ боздошта шуд';
$string['errorgroupsnotselected'] = 'як ва ё  якчанд гуруҳро интихоб намоед';
$string['errorinaddingsession'] = 'Хатои дар илова кардани сессия';
$string['erroringeneratingsessions'] = 'Хатоӣ дар генератсия кардани сессия';
$string['eventdurationupdated'] = 'Давомнокии сессия азнавсозӣ шуд';
$string['eventreportviewed'] = 'Гузориш дар бораи иштирок';
$string['eventsessionadded'] = 'Сессия илова карда шуд';
$string['eventsessiondeleted'] = 'Сессия нест карда шуд';
$string['eventsessionupdated'] = 'Сессия азнасозӣ карда шуд';
$string['eventstatusadded'] = 'Ҳолат илова карда шуд';
$string['eventstatusupdated'] = 'Ҳолат азнавсозӣ карда шуд';
$string['eventtaken'] = 'Иштирок кардааст';
$string['eventtakenbystudent'] = 'Донишҷӯ  иштирок кардааст';
$string['gradebookexplanation'] = 'Баҳо дар журнал';
$string['gradebookexplanation_help'] = 'Ҳурнали давомот шумориа холҳое,ки шумо  ба даст овардед ва шумораи нуқтаҳоие, ки имрӯз ба даст оварданд; он дар оянда дар синфҳои синф намегирад. Дар журнал, баҳои иштироки шумо  дар асоси  фоизи давомот ва шумораи  холҳое,ки дар раванди пурраи курс гирифтед , , аз ҷумла давраҳои оянда. Ҳамин тариқ, дарбаҳоҳои даомоти шумо  дар бланкҳои рақамӣ нишон дода шудаанд, наметавонанд ҳамон як нуқта бошанд, аммо онҳо ҳамон як фоизанд.

Масалан, агар шумо 8-то 10-то 10-то ба даст оварда бошед (иштирок дар 80%) ва иштирок дар тамоми курси 50-дарсад аст, Модули иштирок дар 8/10 нишон медиҳад ва дараҷаи рақам 40/50 нишон медиҳад. Шумо ҳоло 40 нуқта нагирифтед, вале 40 фоизи нуқтаи бебаҳо ба иштироки ҳозираи шумо фоизи 80% мебошад. Арзиши нуқтае, ки шумо дар модули иштирок дар даст гирифтаед, ҳеҷ гоҳ наметавонад кам шавад, зеро он танҳо ба давомнокии он вобаста аст; Бо вуҷуди ин, арзиши нуқтаи нишондод дар дараҷаи баландсифат метавонад вобаста ба иштироки ояндаи ояндаи шумо метавонад зиёд ё паст шавад, зеро он ба тамоми курс вобаста аст.';
$string['gridcolumns'] = 'Сутунҳои сейфӣ';
$string['hiddensessions'] = 'Сессияҳои пинҳон';
$string['hiddensessions_help'] = 'Сессияҳо пинҳон карда мешаванд, агар онҳо то санаи оғозёбии курс анҷом дода шаванд.

Шумо ин хосиятро истифода мебаред, то он даме, ки онҳо тоза карда шаванд, сессияи пештараро пинҳон мекунанд. Танҳо сессиящои намоён дар Журнал пайдо мешаванд.';
$string['identifyby'] = 'Муайян кардани донишҷӯ бо';
$string['includeall'] = 'Ҳама сессияҳо интихоб карда шаванд';
$string['includenottaken'] = 'Сессияҳои нохонда дарбар гирифта шавад';
$string['includeremarks'] = 'Эродҳо дарбар гирифта шавад';
$string['indetail'] = 'Муфассалтар...';
$string['jumpto'] = 'Гузаштан ба';
$string['lowgrade'] = 'Баҳо паст';
$string['modulename'] = 'Давомот';
$string['modulename_help'] = 'Модули давомот имконият медиҳад, ки муаллим иштироки донишҷӯёнро қайд намояд   ва  инчунин донишҷӯён метавонанд давомнокии  худро дар журнали давомот бубинанд.
Муаллим метавонад якчанд сессияҳо  эҷод кунад ва ҷиҳати иштирокро  ҳамчун "Ҳаст", "Нест", "Дер кард", "Сабабнок" дар журнал қайд намояд. Ҳамчунмни муаллим метавонад ин ҳолатҳоро тағёир диҳад.

Ҳисобот барои ҳамаи курсҳо  ё ва ё донишҷӯёним инфиродӣ дастрас бошад.';
$string['modulenameplural'] = 'Давомот';
$string['months'] = 'Моҳ';
$string['moreattendance'] = 'Иштирок дар ин саҳифа бомуваффақият анҷом ёфт.';
$string['newdate'] = 'Санаи нав';
$string['newduration'] = 'Давомнокии нав';
$string['noattforuser'] = 'Маълумот давомот барои корбари зерин вуҷуд надорад';
$string['nodescription'] = 'Сессияи мунтазами курс';
$string['nogroups'] = 'Шумо сессияҳои гурӯҳиро илова карда наметавонед. Дар курс гурӯҳҳо нестанд.';
$string['noguest'] = 'Меҳмонон давомотро дида наметавонанд';
$string['noofdaysabsent'] = 'Рӯзҳои ғоиб аст';
$string['noofdaysexcused'] = 'Рӯзҳои босабаб';
$string['noofdayslate'] = 'Рӯзҳое,ки дер кардааст.';
$string['noofdayspresent'] = 'Рӯзҳои иштирок';
$string['nosessiondayselected'] = 'Рӯзи сессияҳои интихобшуда';
$string['nosessionexists'] = 'Дар курс ягон сессия  вуҷуд надорад';
$string['nosessionsselected'] = 'сессияҳои интихобшуда';
$string['notfound'] = 'Журанали давомот дар ин курс ёта нашуд!';
$string['noupgradefromthisversion'] = 'Модули Давомот аз версияи дастгирие, ки шумо насб кардаед, наметавонед нусхабардорӣ кунед. - лутфан насб кунед  версияи пешинаро нест кунед то ки версияи нав насб гардад.';
$string['olddate'] = 'Санаи кӯҳна';
$string['pluginadministration'] = 'Идоракунии давомот';
$string['pluginname'] = 'Давомот';
$string['remarks'] = 'Эзоҳҳо';
$string['report'] = 'Ҳисобот';
$string['required'] = 'Лозим аст*';
$string['resetdescription'] = 'Дар хотир дошта бошед,ки  тоза кардани маълумот оиди
 иштирок инчунин ба нест кардани маълумот аз пойгоҳи додаҳо оварда мерасонад. Шумо метавонед сессияҳои  пешинаро  пинҳон намуда , санаи оғози курсро иваз  кунед.';
$string['resetstatuses'] = 'Ҳама ҳолатҳо ба пешфарз гузоштан';
$string['restoredefaults'] = 'Пешфарз барқарор карда шавад';
$string['resultsperpage'] = 'Натиҷаҳо саҳифа ба саҳифа';
$string['resultsperpage_desc'] = 'Шумораи донишҷӯёне,ки дар саҳифа нишон дода мешавад';
$string['save'] = 'Иштирок сабт карда шавад';
$string['session'] = 'Сессия';
$string['session_help'] = 'Сессия';
$string['sessionadded'] = 'Сессия бомуваффақият илова шуд';
$string['sessionalreadyexists'] = 'Сессия аллакай дар ин сана сабт  шудааст';
$string['sessiondays'] = 'Рӯзҳои сессия';
$string['sessiondeleted'] = 'Сессия бомуваффақият нест карда шуд';
$string['sessionexist'] = 'Сессия илова нашуд (алакай ҳаст)!';
$string['sessions'] = 'Сессияҳо';
$string['sessionsids'] = 'ID-ҳои сессияҳо:';
$string['sessionsnotfound'] = 'Дар давраи интихобшуда ягон сессия нест';
$string['sessionstartdate'] = 'Санаи оғозшавии сессия';
$string['sessiontypeshort'] = 'Намуд';
$string['sessionupdated'] = 'Сессия бомуваффақият навсозӣ карда шуд';
$string['set_by_student'] = 'Худсабтшуда';
$string['setallstatusesto'] = 'Ба ҳамаи корбарон ҳолати  «{$a}»муайян карда шавад';
$string['settings'] = 'Танзимҳо';
$string['showdefaults'] = 'Пешфарзро нишон додан';
$string['showduration'] = 'Давомнокӣ нишон дода шавад';
$string['sortedgrid'] = 'Тури тартибшуда';
$string['sortedlist'] = 'Рӯйхати тартибшуда';
$string['startofperiod'] = 'Оғози давра';
$string['status'] = 'Ҳолат';
$string['statusdeleted'] = 'Ҳолат нест карда шудааст';
$string['statuses'] = 'Ҳолатҳо';
$string['studentid'] = 'ID-и донишҷӯй';
$string['studentscanmark'] = 'Қайд кардани иштирок аз тарафи донишҷӯ иҷозат дода шавад.';
$string['studentscanmark_help'] = 'Агар интихоб шуда бошад,  пас донишҷӯён  метавонанд ҳолати иштироки худро барои ин сессия тағйир диҳанд.';
$string['submitattendance'] = 'Давомот тасдиқ карда шавад';
$string['tablerenamefailed'] = 'Таблисаи кӯҳнаи  давомот attforblock  номгузорӣ карда нашуд';
$string['takeattendance'] = 'Иштирок намудан';
$string['thiscourse'] = 'Ин курс';
$string['update'] = 'Азнавсози карда шавад';
$string['variable'] = 'тағйирёбанда';
$string['variablesupdated'] = 'Тағирдёбанда бомуваффақият навсозӣ карда шуд';
$string['versionforprinting'] = 'Версия барои чоп';
$string['viewmode'] = 'Реҷаи дидан';
$string['week'] = 'ҳафта (ҳо)';
$string['weeks'] = 'Ҳафтаҳо';
$string['youcantdo'] = 'Илоҷе нест';
