<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_course_contacts', language 'tg', version '2.7'.
 *
 * @package     block_course_contacts
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['alphabetical'] = 'Аз рӯи алфавит';
$string['captcha'] = 'Recaptcha фаъол аст';
$string['captchadesc'] = 'Агар Recaptcha барои сайт сохта шуда бошад, оё он вақте ки истифодабарандагон формати почтаи электрониро истифода мебаранд, имконпазир аст?';
$string['course_contacts'] = 'Тамосҳои Курс';
$string['dateenrolled'] = 'Санаи бақайдгирӣ';
$string['display'] = 'Намоиш';
$string['email'] = 'Email';
$string['email_not_sent'] = 'Почтаи электронӣ фиристода нашуд.';
$string['email_sent'] = 'Паём ирсол карда шуд.';
$string['emailinfo'] = 'Шумо метавонед ин формаро барои фиристодани почтаи электронӣ {{recipient} истифода баред. Дар хотир доред, ки ба шумо лозим аст, ки паёмдони почтаи электронии худро барои паёмҳо ба мактуб нависед.';
$string['from'] = 'Аз';
$string['inherit'] = 'Корӣарони пешина нишон диҳед';
$string['invalid_request'] = 'Иттилооти нодуруст аз шакли гузариш';
$string['mailto'] = 'Қабулкунадаи Почта';
$string['message'] = 'Паёмҳо';
$string['method'] = 'Усулҳои алоқа барои нишон додан';
$string['no_course'] = 'ID курс дода нашуд';
$string['offline'] = 'Офлайн';
$string['online'] = 'Онлайн';
$string['phone'] = 'Рақами телефон';
$string['pluginname'] = 'Тамосҳои курс';
$string['plural'] = 's';
$string['recentlyactive'] = 'Фаъолияти охирин';
$string['recipient_not_enrolled'] = 'Қабулкунанда ба курси худ дохил намешавад';
$string['return_to_course'] = 'Ба курс баргардед';
$string['role'] = 'Нақшҳо барои нишон додан';
$string['roles'] = 'Нақшҳо барои нишон додан';
$string['send'] = 'Фиристода шуд';
$string['sendanemail'] = 'Фиристодани мактуб';
$string['simpleemail'] = 'Тарзи мактуби оддӣ ирсол шавад?';
$string['simpleemaildesc'] = 'Истифодаи формати почтаи оддӣ бо Moodle ба ҷои почтаи электронӣ пайваст шудааст: пайвандҳо?';
$string['sortby'] = 'Гурӯҳбандии корбар тариқи';
$string['subject'] = 'Мавзӯъ';
$string['to'] = 'Ба';
$string['touid'] = 'ID Қабулкуанда';
