<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'chat', language 'tg', version '2.7'.
 *
 * @package     chat
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activityoverview'] = 'Сессияи чати дарпешистода доред';
$string['ajax'] = 'Ajax-версия';
$string['autoscroll'] = 'Toбдиҳии автоматӣ';
$string['beep'] = 'сигнал';
$string['bubble'] = 'Bubble';
$string['cantlogin'] = 'Ба чат даромадан ғайриимкон аст!!';
$string['chat:addinstance'] = 'Чати нав илова карда шавад';
$string['chat:chat'] = 'Ба чат дароед';
$string['chat:deletelog'] = 'Журнали мактубчаҳои чат тоза карда шавад';
$string['chat:exportparticipatedsession'] = 'Сессияҳои чатҳо, ки дар онҳо истифодабарандаҳо иштирок доштанд, экспорт карда шавад';
$string['chat:exportsession'] = 'Ҳама гуна сессияҳои чатҳо экспорт карда шаванд';
$string['chat:readlog'] = 'Журнали мактубчаҳои чатро хонед';
$string['chat:talk'] = 'Дар чат фикри худро баён кардан';
$string['chatintro'] = 'Матни муқаддимавӣ';
$string['chatname'] = 'Номи чат';
$string['chatreport'] = 'Сессияҳои чат';
$string['chattime'] = 'Вақти ояндаи чат';
$string['compact'] = 'Ба таври мухтасар';
$string['composemessage'] = 'Навиштани паём';
$string['configmethod'] = 'Дар реҷаи AJAX интерфейс истифода мешавад, ки автоматӣ бо сервер барои навсозии мактубчаҳо пайваст мешавад.
Дар реҷаи муқаррарӣ истифодабаранда маҷбур аст барои навсозӣ мустақилона бо сервер пайваст шавад. Барои реҷаи муқаррарӣ танзим даркор намешавад ва он дар ҳама ҷо кор мекунад, аммо агар иштирокчиён бисёр бошанд, ба сервер сарбории зиёд оварда метавонад.
Барои реҷаи чат-сервер дастрасӣ ба shell дар Unix талаб карда мешавад, аммо ин имкон медиҳад, ки чати босуръати масштабшаванда ба даст оваред.';
$string['configoldping'] = 'Пас аз он ки муддати зиёде аз истифодабаранда хабар нест, оё чунин меҳисобем, ки ӯ моро тарк кардааст?';
$string['configrefreshroom'] = 'Сари чанд вақт саҳифаи чат бояд навсозӣ карда шавад? (дар сонияҳо). Муқаррар намудани нишондиҳандаи камтар гӯё суръатро зиёд мекунад, аммо ҳангоме ки одамони бисёре дар чат муошират мекунанд, ба сервер сарбории зиёд оварда метавонад. Дар реҷаи <em>Stream</em> бо зудии бештар навсозӣ карданро ҷойгир намудан мумкин аст, масалан 2.';
$string['configrefreshuserlist'] = 'Сари чанд вақт бояд рӯйхати истифодабарандагон навсозӣ шавад? (дар сонияҳо).';
$string['configserverhost'] = 'Номи маркази шабака, ки сервер дар он ба кор андохта шудааст';
$string['configserverip'] = 'IP-адрес, ки ба номи маркази шабакаи зикршуда мувофиқат дорад';
$string['configservermax'] = 'Миқдори бештарини иҷозатдодашудаи мизоҷон';
$string['configserverport'] = 'Порти сервер';
$string['coursetheme'] = 'Ороиши курс';
$string['currentchats'] = 'Чатҳое ки ҳозир кор карда истодаанд';
$string['currentusers'] = 'Истифодабарандагони ҳозира';
$string['deletesession'] = 'Ин сессия нест карда шавад';
$string['deletesessionsure'] = 'Оё боварӣ доред, ки ин сессияро нест кардан даркор аст?';
$string['donotusechattime'] = 'Бақти кори чат нишон дода нашавад';
$string['enterchat'] = 'Ба чат даромадан';
$string['entermessage'] = 'Паёми худро ворид созед';
$string['errornousers'] = 'Ҳеҷ як истифодабаранда нест!';
$string['eventmessagesent'] = 'Паём фиристода шуд';
$string['eventsessionsviewed'] = 'Сессияҳо дида шуданд';
$string['explaingeneralconfig'] = 'Ин параметрҳо истифода шуда истодаанд <strong>ҳамеша</strong>';
$string['explainmethoddaemon'] = 'Ин параметрҳо истифода шуда истодаанд <strong>фақат</strong> агар "Реҷаи чат-сервер" интихоб шуда бошад';
$string['explainmethodnormal'] = 'Ин параметрҳо истифода шуда истодаанд <strong>фақат</strong> "Реҷаи муқаррарӣ" интихоб шудааст';
$string['generalconfig'] = 'Тарҳи (конфигурация) асосӣ';
$string['idle'] = 'Бо замина (фон)';
$string['inputarea'] = 'Соҳаи воридкунӣ';
$string['invalidid'] = 'Ин чатро ёфтан ғайриимкон аст!';
$string['list_all_sessions'] = 'Рӯйхати ҳамаи сессияҳо.';
$string['list_complete_sessions'] = 'Рӯйхати сессияҳои анҷомёфта.';
$string['listing_all_sessions'] = 'Баровардани ҳамаи сессияҳо.';
$string['messagebeepseveryone'] = '{$a} ба ҳама сигнал равон кард!';
$string['messagebeepsyou'] = '{$a} ба Шумо сигнал фиристод!';
$string['messageenter'] = '{$a} дар чат намоён шуд';
$string['messageexit'] = '{$a} аз чат рафт';
$string['messages'] = 'Мактубчаҳо';
$string['messageyoubeep'] = 'Шумо сигнал фиристодед {$a}';
$string['method'] = 'Реҷаи чат';
$string['methodajax'] = 'Реҷаи Ajax';
$string['methoddaemon'] = 'Реҷаи чат-сервер';
$string['methodnormal'] = 'Реҷаи муқаррарӣ';
$string['modulename'] = 'Чат';
$string['modulename_help'] = 'Чат ба иштирокчиён имкон медиҳад, ки дар вақти воқеӣ ба воситаи Интернет муоширати синхронӣ дошта бошанд. Ин воситаи қулайи ба даст овардани нуқтаҳои назари гуногун, фаҳмидани якдигар ва мавзӯи муҳокимашаванда аст. Реҷаи истифодаи чат аз форумҳои асинхронӣ хеле фарқ дорад.';
$string['modulename_link'] = 'mod/chat/view';
$string['modulenameplural'] = 'Чатҳо';
$string['neverdeletemessages'] = 'Ҳеҷ гоҳ мактубчаҳо нест карда нашаванд';
$string['nextsession'] = 'Сессияи навбатии ба нақша гирифташуда';
$string['no_complete_sessions_found'] = 'Сессияҳои ба тамомшуда ёфт нашуд.';
$string['nochat'] = 'Ҳеҷ як чат нест';
$string['noguests'] = 'Ин чат барои меҳмонон дастрас нест';
$string['nomessages'] = 'Ҳеҷ як мактубча нест';
$string['nopermissiontoseethechatlog'] = 'Шумо барои дида баромадани таърихи чат ҳуқуқ надоред.';
$string['normalkeepalive'] = 'KeepAlive';
$string['normalstream'] = 'Stream';
$string['noscheduledsession'] = 'Сессияҳои ба нақша даровардашуда нестанд';
$string['notallowenter'] = 'Ба чат ворид шудани Шумо иҷозат дода нашудааст.';
$string['notlogged'] = 'Шумо ба система надаромадед!';
$string['oldping'] = 'Таймаути хомӯшкунӣ';
$string['page-mod-chat-x'] = 'Ҳаргуна саҳифаи модули чат';
$string['pastchats'] = 'Чат-сессияҳои пештара';
$string['pluginadministration'] = 'Маъмурии чат';
$string['pluginname'] = 'Чат';
$string['refreshroom'] = 'Саҳифаи чат навсозӣ карда шавад';
$string['refreshuserlist'] = 'Рӯйхати истифодабарандагон навсозӣ карда шавад';
$string['removemessages'] = 'Ҳамаи мактубчаҳо нест карда шаванд';
$string['repeatdaily'] = 'Ҳар рӯз дар ҳамин вақт';
$string['repeatnone'] = 'Сессияҳо такрор карда нашаванд.';
$string['repeattimes'] = 'Вақтҳои сессияҳои такрорӣ/нашршуда';
$string['repeatweekly'] = 'Ҳар ҳафта дар ҳамин вақт';
$string['saidto'] = 'гуфта шуд';
$string['savemessages'] = 'Миқдори мактубчаҳои дар хотира нигаҳдоришаванда';
$string['seesession'] = 'Сессия дида баромада шавад';
$string['send'] = 'Фиристода шавад';
$string['sending'] = 'Фиристодан';
$string['serverhost'] = 'Номи сервер';
$string['serverip'] = 'IP сервер';
$string['servermax'] = 'Миқдори бештарини истифодабарандагон.';
$string['serverport'] = 'Порти сервер';
$string['sessions'] = 'Чат-сессияҳо';
$string['sessionstart'] = 'Сессияи чат сар мешавад: {$a}';
$string['strftimemessage'] = '%H:%M';
$string['studentseereports'] = 'Ҳама сессияҳоро дида метавонанд';
$string['studentseereports_help'] = 'Агар нишондиҳандаи "Не" интихоб шуда бошад, фақат истифодабарандагон бо ҳуқуқи "mod/chat:readlog" метавонанд логҳои чатҳоро бинанд';
$string['talk'] = 'Гуфтугӯ';
$string['updatemethod'] = 'Усули навсозӣ';
$string['updaterate'] = 'Меъёри навсозӣ:';
$string['userlist'] = 'Рӯйхати истифодабарандагон';
$string['usingchat'] = 'Истифодаи чат';
$string['usingchat_help'] = '<h2>Истифодаи чат</h2>

<p>Модули чат баъзе имкониятҳоро дар бар мегирад, то ки муошират гуворо бошад.</p>

<dl>
<dt><b>Хандонакҳо (смайликҳо)</b></dt>
<dd>Ҳама гуна хандонакҳоеро (смайликҳо), ки ба шумо маълуманд, метавонед дар Moodle истифода баред, ва онҳо дуруст инъикос меёбанд. Масалан,  :-) = <img alt="табассум" src="pix/s/smiley.gif" />  </dd>

<dt><b>Истинодҳо</b></dt>
<dd>Интернет-адресҳо автоматӣ ба истинодҳо табдил меёбанд.</dd>
<dt><b>Эҳсосот</b></dt>
<dd>Шумо барои изҳори эҳсосот метавонед сатрро аз "/me" ё ":" сар кунед. Масалан, агар номи Шумо Ким бошад ва Шумо ":механдад!" ё "/me механдад!" чоп кунед, ҳама мебинанд: "Ким механдад!"</dd>


<dt><b>Сигналҳои овозӣ</b></dt>
<dd>Шумо метавонед ба дигарон бо ёрии фармони "beep" пас аз номи истифодабаранда сигналҳои овозӣ фиристед. Барои ба ҳама фиристодани сигнали овозӣ  фармони  "beep all"-ро истофода баред.</dd>

<dt><b>HTML</b></dt>
<dd>Агар Шумо HTML-ро донед, метавонед ба матни мактубчаҳо суратҳо ҷойгир кунед, овозҳо ҳамроҳ кунед ва матнро бо ранг ва андоза ҷудо кунед.</dd>

</dl>';
$string['viewreport'] = 'Дида баромадани чат-сессияҳои гузашта';
