<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'choice', language 'tg', version '2.7'.
 *
 * @package     choice
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addmorechoices'] = 'Вариантҳои бештар илова карда шавад';
$string['allowupdate'] = 'Навсозӣ иҷозат дода шавад';
$string['answered'] = 'Ҷавобҳо ба даст омадаанд';
$string['choice'] = 'Варианти ҷавоб';
$string['choice:choose'] = 'Вариант навишта шавад';
$string['choice:deleteresponses'] = 'Кӯшишҳо нест карда шаванд';
$string['choice:downloadresponses'] = 'Ҷавобҳо гирифта шаванд';
$string['choice:readresponses'] = 'Кӯшишҳо хонда шаванд';
$string['choiceclose'] = 'То даме ки';
$string['choicefull'] = 'Ин вариант пур шудааст ва дигар ҷой нест';
$string['choicename'] = 'Номи пурсиш';
$string['choiceopen'] = 'Кушоед';
$string['choiceoptions_help'] = '<h2>Вариантҳои ҷавоб</h2>

<P>Акнун метавонед вариантҳоеро нависед, ки донишҷӯ аз онҳо ҷавобро интихоб мекунад.

<P>Метавонед миқдори дилхоҳи вариантҳоро пур кунед (майдонҳоро холӣ гузоштан мумкин аст).';
$string['choicetext'] = 'Матни пурсиш';
$string['chooseaction'] = 'Амалро интихоб намоед...';
$string['description'] = 'Матни муқаддимавӣ';
$string['displayhorizontal'] = 'Уфуқӣ инъикос карда шавад';
$string['displaymode'] = 'Реҷаи инъикос кардан';
$string['displayvertical'] = 'Амудӣ инъикос карда шавад';
$string['expired'] = 'Бубахшед,ин фаъолият маҳкам карда шудааст {$a} ва акнун дастрас нест';
$string['full'] = '(Пур карда шудааст)';
$string['havetologin'] = 'Барои он ки Шумо дар пурсиш иштирок карда тавонед, бояд таҳти сабти баҳисобгирии худ ворид шавед, ё <a title="Дар система сабти баҳисобгирии нав бунёд карда шавад" href="http://www.cdp.tsure.ru/moodle/login/signup.php">нав бунёд карда шавад</a>, агар онро надошта бошед.';
$string['limit'] = 'Ҳудуд';
$string['limitanswers'] = 'Ҳудуди имконпазири миқдори кӯшишҳо';
$string['limitanswers_help'] = '<h2>Маҳдудкунии интихоби варианти ҷавоб</h2>

<p>Ин интихоб имкон медиҳад, ки реҷаи маҳдудкунии миқдори донишҷӯёне ки варианти мушаххаси ҷавобро интихоб карда метавонанд, ба кор андохта шавад.</p>

<p>Ҳангоме ки реҷа ба кор андохта шудааст, дар майдони <B>"Ҳудуд"</B> ин миқдорро ҷойгир кардан лозим аст. Ҳангоме ки дар вақти пурсиш миқдори муқарраршудаи донишҷӯён ин варианти ҷавобро интихоб намуданд, пас барои донишҷӯёни дигар он маҳкам мешавад. Агар 0 ҷойгир карда шуда бошад, варианти ҷавоб дастрас намешавад.</p>

<p>Агар реҷа хомӯш карда шуда бошад, миқдори дилхоҳи донишҷӯён метавонанд варианти мушаххаси ҷавобро ба саволи додашуда интихоб намоянд.</p>';
$string['modulename'] = 'Пурсиш';
$string['modulename_help'] = 'Модули пурсиш ба муаллимон имкон медиҳад, ки пурсиш ташкил намоянд, аз ҷумла, пурсиш бо интихобҳои бисёр.';
$string['modulename_link'] = 'mod/choice/view';
$string['modulenameplural'] = 'Пурсишҳо';
$string['mustchooseone'] = 'Шумо пеш аз маҳфуз доштан бояд ҷавобро интихоб намоед. Ҳеҷ чиз маҳфуз дошта нашудааст.';
$string['noguestchoose'] = 'Бубахшед, меҳмон наметавонад дар пурсиш иштирок кунад.';
$string['noresultsviewable'] = 'Шумо ҳозир натиҷаҳои пурсишро аз назар гузаронда наметавонед.';
$string['notanswered'] = 'Ҷавобҳо ба даст наомадаанд';
$string['notopenyet'] = 'Бубахшед, ин амал дастрас нест то даме ки {$a}';
$string['pluginname'] = 'Пурсиш';
$string['privacy'] = 'Дастрасӣ ба натиҷаҳо';
$string['publish'] = 'Натиҷаҳо нишон дода шаванд';
$string['publishafteranswer'] = 'Натиҷаҳо ба донишҷӯён пас аз ҷавоб нишон дода шаванд';
$string['publishafterclose'] = 'Натиҷаҳо ба донишҷӯён фақат баъди пӯшида шудани пурсиш нишон дода шаванд';
$string['publishalways'] = 'Ҳамеша натиҷаҳо ба донишҷӯён нишон дода шаванд';
$string['publishanonymous'] = 'Натиҷаҳо анонимӣ, бе нишон додани номи донишҷӯён нишон дода шаванд';
$string['publishnames'] = 'Варианти пурра (номҳо ва баҳоҳо)';
$string['publishnot'] = 'Ба донишҷӯён нишон дода шавад';
$string['removemychoice'] = 'Интихоби ман нест карда шавад';
$string['removeresponses'] = 'Ҳамаи кӯшишҳо нест карда шаванд';
$string['responses'] = 'Ҷавоб';
$string['responsesto'] = 'Ҷавоб дар {$a}';
$string['savemychoice'] = 'Ҷавоб маҳфуз дошта шавад';
$string['showunanswered'] = 'Сутунчаҳои беҷавоб мондагӣ нишон дода шаванд';
$string['spaceleft'] = 'ҷои дастрас';
$string['taken'] = 'Истифода шудааст';
$string['timerestrict'] = 'Вақти ҷавобдиҳӣ маҳдуд карда шавад';
$string['viewallresponses'] = 'Ҷавобҳо {$a} дида баромада шаванд';
$string['withselected'] = 'Бо интихобшудагон';
$string['yourselection'] = 'Интихоби Шумо';
