<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_moodlemobileapp', language 'tg', version '2.7'.
 *
 * @package     local_moodlemobileapp
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addon.calendar.calendarevents'] = 'Чорабиниҳои тақвимӣ';
$string['addon.messages.newmessages'] = 'Паёмҳои нав';
$string['addon.messages.type_offline'] = 'Офлайн';
$string['addon.messages.type_online'] = 'Онлайн';
$string['addon.messages.type_search'] = 'Натиҷаҳои ҷустуҷӯ';
$string['addon.mod_forum.group'] = 'Гурӯҳ';
$string['addon.mod_forum.numreplies'] = '{{numreplies}} ҷавоб';
$string['addon.mod_glossary.byalphabet'] = 'Аз рӯи алифбо';
$string['addon.mod_glossary.bysearch'] = 'Ҷустуҷӯ';
$string['addon.mod_survey.results'] = 'Натиҷаҳо';
$string['core.course.allsections'] = 'Ҳамаи қисматҳо';
$string['core.fileuploader.audio'] = 'Садо';
$string['core.fileuploader.camera'] = 'Камера';
$string['core.fileuploader.file'] = 'Файл';
$string['core.fileuploader.video'] = 'Видео';
$string['core.login.authenticating'] = 'Санҷиши ҳаққоният';
$string['core.login.connect'] = 'Пайваст шавед!';
$string['core.login.connecttomoodle'] = 'Ба Moodle пайваст шавед';
$string['core.login.emailnotmatch'] = 'Нишониҳои почтаи электронӣ мувофиқат намекунанд.';
$string['core.login.invalidtime'] = 'Вақти нодуруст';
$string['core.login.loginbutton'] = 'Ворид шудан';
$string['core.login.notloggedin'] = 'Шумо бояд ворид шавед.';
$string['core.login.passwordrequired'] = 'Ниҳонвожа ҳатмӣ аст';
$string['core.login.searchby'] = 'Ҷустуҷӯ аз рӯи:';
$string['core.login.selectsite'] = 'Лутфан, сомонаи худро интихоб намоед:';
$string['core.login.signupplugindisabled'] = '{{$a}} ғайрифаъол аст.';
$string['core.login.siteaddress'] = 'Нишонии сомона';
$string['core.login.siteurl'] = 'Нишонии сомона';
$string['core.notapplicable'] = 'вуҷуд надорад';
$string['core.searching'] = 'Дар ҳоли ҷустуҷӯ';
$string['core.settings.about'] = 'Дар бораи барнома';
$string['core.settings.deviceinfo'] = 'Дар бораи дастгоҳ';
$string['core.settings.deviceos'] = 'Низоми омили дастгоҳ';
$string['core.settings.privacypolicy'] = 'Сиёсати маҳфият';
$string['core.settings.spaceusage'] = 'Истифодабарии фазо';
$string['core.settings.syncsettings'] = 'Танзимоти ҳамоҳангсозӣ';
$string['core.settings.wificonnection'] = 'Пайвасти Wi-Fi';
$string['core.sharedfiles.rename'] = 'Ивази ном';
$string['core.tryagain'] = 'Аз нав кӯшиш кардан';
$string['core.unknown'] = 'Номаълум';
$string['core.user.contact'] = 'Барои тамос';
$string['core.user.sendemail'] = 'Почтаи электронӣ';
$string['pluginname'] = 'Тарҷумаи тоҷикӣ барои «Moodle Mobile»';
